Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel.util
Class AnalysisMetaModelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          kieker.analysis.model.analysisMetaModel.util.AnalysisMetaModelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class AnalysisMetaModelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MIAnalysisMetaModelPackage`
Generated:

Constructor Summary
`AnalysisMetaModelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createAnalysisComponentAdapter()` Creates a new adapter for an object of class '`Analysis Component`'.
`org.eclipse.emf.common.notify.Adapter` | `createDependencyAdapter()` Creates a new adapter for an object of class '`Dependency`'.
`org.eclipse.emf.common.notify.Adapter` | `createDisplayAdapter()` Creates a new adapter for an object of class '`Display`'.
`org.eclipse.emf.common.notify.Adapter` | `createDisplayConnectorAdapter()` Creates a new adapter for an object of class '`Display Connector`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createFilterAdapter()` Creates a new adapter for an object of class '`Filter`'.
`org.eclipse.emf.common.notify.Adapter` | `createInputPortAdapter()` Creates a new adapter for an object of class '`Input Port`'.
`org.eclipse.emf.common.notify.Adapter` | `createOutputPortAdapter()` Creates a new adapter for an object of class '`Output Port`'.
`org.eclipse.emf.common.notify.Adapter` | `createPluginAdapter()` Creates a new adapter for an object of class '`Plugin`'.
`org.eclipse.emf.common.notify.Adapter` | `createPortAdapter()` Creates a new adapter for an object of class '`Port`'.
`org.eclipse.emf.common.notify.Adapter` | `createProjectAdapter()` Creates a new adapter for an object of class '`Project`'.
`org.eclipse.emf.common.notify.Adapter` | `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'.
`org.eclipse.emf.common.notify.Adapter` | `createReaderAdapter()` Creates a new adapter for an object of class '`Reader`'.
`org.eclipse.emf.common.notify.Adapter` | `createRepositoryAdapter()` Creates a new adapter for an object of class '`Repository`'.
`org.eclipse.emf.common.notify.Adapter` | `createRepositoryConnectorAdapter()` Creates a new adapter for an object of class '`Repository Connector`'.
`org.eclipse.emf.common.notify.Adapter` | `createViewAdapter()` Creates a new adapter for an object of class '`View`'.
`boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalysisMetaModelAdapterFactory

    public AnalysisMetaModelAdapterFactory()

  Creates an instance of the adapter factory.

  Generated:

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  Generated:

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  Generated:

### createProjectAdapter

    public org.eclipse.emf.common.notify.Adapter createProjectAdapter()

  Creates a new adapter for an object of class '`Project`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIProject`
  Generated:

### createPluginAdapter

    public org.eclipse.emf.common.notify.Adapter createPluginAdapter()

  Creates a new adapter for an object of class '`Plugin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIPlugin`
  Generated:

### createPortAdapter

    public org.eclipse.emf.common.notify.Adapter createPortAdapter()

  Creates a new adapter for an object of class '`Port`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIPort`
  Generated:

### createInputPortAdapter

    public org.eclipse.emf.common.notify.Adapter createInputPortAdapter()

  Creates a new adapter for an object of class '`Input Port`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIInputPort`
  Generated:

### createOutputPortAdapter

    public org.eclipse.emf.common.notify.Adapter createOutputPortAdapter()

  Creates a new adapter for an object of class '`Output Port`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIOutputPort`
  Generated:

### createPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

  Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIProperty`
  Generated:

### createFilterAdapter

    public org.eclipse.emf.common.notify.Adapter createFilterAdapter()

  Creates a new adapter for an object of class '`Filter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIFilter`
  Generated:

### createReaderAdapter

    public org.eclipse.emf.common.notify.Adapter createReaderAdapter()

  Creates a new adapter for an object of class '`Reader`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIReader`
  Generated:

### createRepositoryAdapter

    public org.eclipse.emf.common.notify.Adapter createRepositoryAdapter()

  Creates a new adapter for an object of class '`Repository`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIRepository`
  Generated:

### createDependencyAdapter

    public org.eclipse.emf.common.notify.Adapter createDependencyAdapter()

  Creates a new adapter for an object of class '`Dependency`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIDependency`
  Generated:

### createRepositoryConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createRepositoryConnectorAdapter()

  Creates a new adapter for an object of class '`Repository Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIRepositoryConnector`
  Generated:

### createDisplayAdapter

    public org.eclipse.emf.common.notify.Adapter createDisplayAdapter()

  Creates a new adapter for an object of class '`Display`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIDisplay`
  Generated:

### createViewAdapter

    public org.eclipse.emf.common.notify.Adapter createViewAdapter()

  Creates a new adapter for an object of class '`View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIView`
  Generated:

### createDisplayConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createDisplayConnectorAdapter()

  Creates a new adapter for an object of class '`Display Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIDisplayConnector`
  Generated:

### createAnalysisComponentAdapter

    public org.eclipse.emf.common.notify.Adapter createAnalysisComponentAdapter()

  Creates a new adapter for an object of class '`Analysis Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MIAnalysisComponent`
  Generated:

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net